class CreateReportComparisonErrors < ActiveRecord::Migration[7.2]
  def change
    create_table :report_comparison_errors do |t|
      t.string :card_field
      t.string :new_value
      t.string :old_value
      t.boolean :disabled, default: false
      t.belongs_to :employer_card_comparison, null: true, foreign_key: { to_table: :report_employer_card_comparisons }
      t.belongs_to :member_card_comparison, null: true, foreign_key: { to_table: :report_member_card_comparisons }

      t.timestamps
    end
  end
end
